For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTBulk delete records
      • GETList records
      • POSTCreate record
      • GETDiscover record schema
      • GETGet field values
      • POSTPreview record filter
      • GETGet record details
      • PUTUpdate record
      • DELDelete record
      • GETGet record step results
      • GETGet record costs
      • GETGet record results
      • DELDelete record result
      • POSTBulk edit records
      • POSTUpload CSV records
Dashboard
LogoLogo
Runtype APIRecords

Discover record schema

GET
/v1/records/schema
GET
/v1/records/schema
$curl -G https://api.runtype.com/v1/records/schema \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d type=type
1{
2 "type": "user_profile",
3 "totalRecords": 1250,
4 "sampledRecords": 10,
5 "sampledAt": "2024-06-10T12:45:00Z",
6 "fields": [
7 null
8 ]
9}
Discover available metadata fields for a record type by sampling records.
Was this page helpful?
Previous

Get field values

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Query parameters

typestringRequired
samplestringOptional

Response

Schema field discovery result
typestring
totalRecordsinteger
sampledRecordsinteger
sampledAtstring
fieldslist of any

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error